extensions / Commerce extension
PATCH
/api/projects/{project_id}/sales/shipping-methods/{method_id}Update Shipping Method
Updates a project shipping method, creating a project override when the target is a system default.
PATCHDELETE
Authentication
- Requirement
- Required
- Credential type
- Bearer API key
- Scopes
- Not specified
Permissions
- Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
method_id | Yes | Not specified | Description: Identifier for method. |
Query Parameters
Request Body
Schema: UpsertShippingMethodRequest
| Field | Required | Type | Details |
|---|---|---|---|
carrier_code | Yes | string | Description: Text value. |
carrier_label | No | string | Description: Human-readable label. |
method_code | Yes | string | Description: Text value. |
method_label | Yes | string | Description: Human-readable label. |
is_active | No | boolean | Description: Boolean flag. |
sort_order | No | integer | Description: Integer value. |
meta | No | JSON | Description: Free-form metadata object. |
use_default | No | boolean | Description: Boolean flag. |
Response Body
Errors
400 bad_request404 not_foundAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

